YAZ-ZTEST(8)

NAME
yaz-ztest - Z39.50 Test Server

SYNOPSIS
yaz-ztest [ -a file ] [ -v level ] [ -l file ] [ -u uid ] [ -c config ] [ -t minutes ] [ -k kilobytes ] [ -d daemon ] [ -w dir ] [ -ziST1 ] [ listener-spec ... ] yaz-ztest-ssl [ option ... ] [ addr ... ]

DESCRIPTION

yaz-ztest is a Z39.50 test server. The server acts as a real Z39.50 server but does not use a database. It returns a random hit count and returns a subset of a few built-in records.

yaz-ztest-ssl is identical to yaz-ztest except that it supports SSL transport.

The listener-spec consists of a transport mode followed by a colon, followed by a listener address. The transport mode is either tcp, unix, or ssl (yaz-ztest-ssl only).

For TCP and SSL, an address has the form:
     hostname | IP-number [ : portnumber ]

For UNIX local socket the address is the filename of the local socket.

OPTIONS

-a  file
    Specify a file for dumping PDUs (for diagnostic purposes). The special name - (dash) sends output to stderr.

-S  Don't fork or make threads on connection requests. This is good for debugging, but not recommended for real operation: Although the server is asynchronous and non-blocking, it can be nice to keep a software malfunction (okay then, a crash) from affecting all current users.

-1  Like -S but after one session the server exits. This mode is for debugging only.

-T  Operate the server in threaded mode. The server creates a thread for each connection rather than a fork a process. Only available on UNIX systems that offers POSIX threads.

-s  Use the SR protocol (obsolete).

-z  Use the Z39.50 protocol (default). This option and -s complement each other. You can use both multiple times on the same command line, between listener-specifications (see below). This way, you can set up the server to listen for connections in both protocols concurrently, on different local ports.

-l  file
    The logfile.

-c  config
    A user option that serves as a specifier for some sort of configuration, usually a filename. The argument to this option is transferred to member confignameof the statserv_options_block.

-v  level
    The log level. Use a comma-separated list of members of the set {fatal,debug,warn,log,malloc,all,none}.

-u  uid
    Set user ID. Sets the real UID of the server process to that of the given user. It's useful if you aren't comfortable with having the server run as root, but you need to start it as such to bind a privileged port.

-w  dir
    The server changes to this directory during before listening on incoming connections. This option is useful when the server is operating from the inetd daemon (see -i).

-i  Use this to make the the server run from the inetd server (UNIX only).

-install
    Use this to install the server as an NT service (Windows 2000/NT only). Control the server by going to the Services in the Control Panel.

-remove
    Use this to remove the server from the NT services (Windows 2000/NT only).

-t  minutes
    Idle session timeout, in minutes.

-k  size
    Maximum record size/message size, in kilobytes.

-d  daemon
    Set name of daemon to be used in hosts access file. See hosts_access(5) and tcpd(8).

FILES

yaz-<version>/ztest/yaz-ztest.c

yaz-<version>/include/yaz/backend.h

SEE ALSO

yaz(7)

Section "Generic server" in the YAZ manual.